$(function() {

	mui.plusReady(function() {
		//选择省市县
		var city_picker1 = new mui.PopPicker({
			layer: 3
		});
		city_picker1.setData(cityData3);
		$("#ssx").unbind("tap");
		$("#ssx").on("tap", function(e) {
			e.stopPropagation();
			isRemoteUrl(canSelectCity, notSelectCity);
		});

		//选择单位
		var dwpicker = new mui.PopPicker({
			layer: 1
		});
		dwpicker.setData(null);
		$("#dw").unbind("tap");
		
		$("#dw").on("tap", function(e) {
			e.stopPropagation();
			var th = $(this);
			dwpicker.show(function(items) {
				$("#dwData").val(items[0].value);
				th.val(items[0].text);
			});
		});

		$("#bindingBtn1").on("tap", function() {
			isRemoteUrl(canBind, notBind)
		});
		
		
		function canSelectCity() { //外网的话，可以点击省市县，获得对应的单位，否则，没有操作
			var th = $("#ssx");
			city_picker1.show(function(items) {
				$("#ssxData").val((items[2] || {}).value);
				th.val((items[0] || {}).text + " " + (items[1] || {}).text + " " + (items[2] || {}).text);
				$.ajax({ //设置进行查找对应的单位
					url: appUrl + "/ssx/edeiUrl",
					data: {
						area_codeid: $("#ssxData").val()
					},
					success: function(d) {
						if (d && d.length > 0) {
							$("#dwData").val(d[0].value);
							$("#dw").val(d[0].text);
							dwpicker.setData(eval(d));
						} else {
							$("#dwData").val("");
							$("#dw").val("");
							dwpicker.setData(null);
						}
					},
					error: function(d) {
						dwpicker.setData(null);
					}
				});
			});
		}

		function notSelectCity() {
			return
		}

		function AreaSuccessCheckEdei() { //区域edei地址的监测edei版本存在，进行跳转

			$("#onloading").hide();
			mui.toast("绑定成功");
			mui.openWindow({
				url: "../../index.html",
				id: 'appindex'
			});
		}

		function AreaFailCheckEdei() { //区域edei地址的监测edei不存在，禁止跳转
			mui.alert("服务器未打开或者已关闭！");
		}

		function canBind() { //可以进行区域绑定
			var dwData = $("#dwData").val();
			if (dwData == null || dwData == undefined || dwData == '') {
				$('body').overhang({
					type: 'warn',
					message: '请选择单位'
				});
				return;
			}
			setBindUrl(dwData);
			$.switchRemoteUrl();
			$("#onloading").show();
			checkEdei(AreaSuccessCheckEdei, AreaFailCheckEdei)
		}

		function notBind() { //不可以进行区域绑定
			return;
		}
	});
})
